3

When I run sudo apt-get update on my fully updated Ubuntu 16.04.6 LTS I get the following errors about Google repositories:

$ sudo apt update
...
Err:20 http://dl.google.com/linux/earth/deb stable Release.gpg
  The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
Get:21 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Err:13 http://dl.google.com/linux/chrome/deb stable Release.gpg 
  The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
...
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://dl.google.com/linux/earth/deb stable Release: The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://dl.google.com/linux/chrome/deb stable Release: The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg  The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
W: Failed to fetch http://dl.google.com/linux/earth/deb/dists/stable/Release.gpg  The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
W: Some index files failed to download. They have been ignored, or old ones used instead.

The apt-key list returns:

pub   1024D/7FAC5991 2007-03-08
uid                  Google, Inc. Linux Package Signing Key <linux-packages-keymaster@google.com>
sub   2048g/C07CB649 2007-03-08

pub   4096R/D38B4796 2016-04-12
uid                  Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com>
sub   4096R/997C215E 2017-01-24 [expires: 2020-01-24]

Removing Google keys and packages with

sudo apt-key del D38B4796
sudo apt-key del 7FAC5991
sudo apt purge google-chrome-stable 
sudo apt purge google-earth-pro-stable
sudo apt purge google-earth-stable

and reinstalling packages with

cd ~/Downloads
wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
sudo apt-get install --reinstall ./google-chrome-stable_current_amd64.deb

wget https://dl.google.com/dl/earth/client/current/google-earth-pro-stable_current_amd64.deb
sudo apt-get install --reinstall ./google-earth-pro-stable_current_amd64.deb

does not help.

Executing command from https://www.google.com/linuxrepositories/ :

wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

does not help.

How should I fix it?

What else I did:
1. sent feedback from Google Chrome with Help → Report an Issue.
2. sent feedback from Google Earth using Help → Send feedback.
3. created thread on Google Chrome Help

4
6

It's fixed on Google's end now, so you can update normally through apt without workarounds.

(Sorry, can't comment due to <50 reputation.)

3

Current status on Ubuntu 16.04 LTS:

  • Google Chrome repository updated successfully.
  • Google Earth repository updated successfully.

If you still have issues - then remove GPG keys and re-add GPG key into the system with

sudo apt-key del D38B4796
sudo apt-key del 7FAC5991
wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

or

sudo apt-key net-update
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys D38B4796
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7FAC5991
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 1397BC53640DB551

and update package lists:

sudo apt-get update
1

I also had to remove chrome-remote-desktop with

sudo apt purge chrome-remote-desktop

to avoid leftover complains at update runtime.

0

Just leaving it here... Similar error occurs in Azure DSVM when upgrading it. Following will update the keys

curl https://storage.googleapis.com/tensorflow-serving-apt/tensorflow-serving.release.pub.gpg | sudo apt-key add -
sudo apt update

Not the answer you're looking for? Browse other questions tagged or ask your own question.